{{- $Values := .Values -}}
{{- $Chart := .Chart -}}
{{- $Release := .Release -}}
{{ range $index, $keys :=  .Values.elrond_shards }}
---
apiVersion: v1
kind: Secret
metadata:
  name: elrond-shard-{{$index}}-node-keys
  namespace: {{$Values.namespace}}
  labels:
    app.kubernetes.io/entity: elrond-node
type: Opaque
data:
{{ range $nindex, $nkeys :=  .nodes }}
  sk-elrond-shard-{{$index}}-node-{{$nindex}}.pem: {{$nkeys.initial_nodes_sk | b64enc | quote}}
  balances-sk-elrond-shard-{{$index}}-node-{{$nindex}}.pem: {{$nkeys.initial_balances_sk | b64enc | quote}}
{{ end }}
{{ end }}
  